'use strict';

var getPackageJson = require('../utils/get-package-json.cjs');

async function ensureTailwind() {
  const packageJson = await getPackageJson.getPackageJson();
  const tailwindVersion = packageJson?.dependencies?.["tailwindcss"] || packageJson?.devDependencies?.["tailwindcss"];
  if (!tailwindVersion) {
    console.error("Install Tailwind CSS first.\n\nSee: https://tailwindcss.com/docs/installation");
    process.exit(1);
  }
}

exports.ensureTailwind = ensureTailwind;
//# sourceMappingURL=ensure-tailwind.cjs.map
