'use strict';

var commands = require('package-manager-detector/commands');
var detect = require('package-manager-detector/detect');
var execCommand = require('../utils/exec-command.cjs');
var getPackageJson = require('../utils/get-package-json.cjs');

async function installFlowbiteReact() {
  try {
    const packageJson = await getPackageJson.getPackageJson();
    if (packageJson.dependencies?.["flowbite-react"] || packageJson.devDependencies?.["flowbite-react"]) {
      return;
    }
    let pm = await detect.detect();
    if (!pm) {
      console.error("Could not detect package manager");
    }
    pm ?? (pm = { agent: "npm", name: "npm" });
    const packageName = "flowbite-react";
    const { command = "", args } = commands.resolveCommand(pm.agent, "add", [packageName]) ?? {};
    console.log(`Installing ${packageName} using ${pm.name}...`);
    execCommand.execCommand(command, args);
  } catch (error) {
    console.error("Failed to install flowbite-react:", error);
  }
}

exports.installFlowbiteReact = installFlowbiteReact;
//# sourceMappingURL=install.cjs.map
