'use strict';

var fs = require('fs/promises');
var consts = require('../consts.cjs');

async function setupConfig() {
  try {
    await fs.access(consts.configFilePath);
  } catch {
    const defaultConfig = {
      $schema: "https://unpkg.com/flowbite-react/schema.json",
      components: [],
      dark: true,
      prefix: "",
      path: "src/components",
      tsx: true,
      rsc: true
    };
    console.log(`Creating ${consts.configFilePath} file...`);
    await fs.writeFile(consts.configFilePath, JSON.stringify(defaultConfig, null, 2), { flag: "w" });
  }
}

exports.setupConfig = setupConfig;
//# sourceMappingURL=setup-config.cjs.map
