import fs__default from 'fs/promises';
import { configFilePath } from '../consts.js';

async function setupConfig() {
  try {
    await fs__default.access(configFilePath);
  } catch {
    const defaultConfig = {
      $schema: "https://unpkg.com/flowbite-react/schema.json",
      components: [],
      dark: true,
      prefix: "",
      path: "src/components",
      tsx: true,
      rsc: true
    };
    console.log(`Creating ${configFilePath} file...`);
    await fs__default.writeFile(configFilePath, JSON.stringify(defaultConfig, null, 2), { flag: "w" });
  }
}

export { setupConfig };
//# sourceMappingURL=setup-config.js.map
