'use strict';

var fs = require('fs/promises');
var path = require('path');
var consts = require('../consts.cjs');

async function setupGitIgnore() {
  const gitIgnoreFilePath = path.join(consts.outputDir, ".gitignore");
  try {
    const gitignore = await fs.readFile(gitIgnoreFilePath, "utf-8").catch(() => {
      console.log(`Creating ${gitIgnoreFilePath} file...`);
      return "";
    });
    if (![consts.classListFile, consts.processIdFile].some((file) => gitignore.includes(file))) {
      console.log(`Adding ${consts.classListFile}, ${consts.processIdFile} to ${gitIgnoreFilePath}...`);
      await fs.writeFile(gitIgnoreFilePath, `${consts.classListFile}
${consts.processIdFile}`, { flag: "w" });
    }
  } catch (error) {
    console.error(`Failed to update ${gitIgnoreFilePath}:`, error);
  }
}

exports.setupGitIgnore = setupGitIgnore;
//# sourceMappingURL=setup-gitignore.cjs.map
