import fs__default from 'fs/promises';
import path__default from 'path';
import { outputDir, classListFile, processIdFile } from '../consts.js';

async function setupGitIgnore() {
  const gitIgnoreFilePath = path__default.join(outputDir, ".gitignore");
  try {
    const gitignore = await fs__default.readFile(gitIgnoreFilePath, "utf-8").catch(() => {
      console.log(`Creating ${gitIgnoreFilePath} file...`);
      return "";
    });
    if (![classListFile, processIdFile].some((file) => gitignore.includes(file))) {
      console.log(`Adding ${classListFile}, ${processIdFile} to ${gitIgnoreFilePath}...`);
      await fs__default.writeFile(gitIgnoreFilePath, `${classListFile}
${processIdFile}`, { flag: "w" });
    }
  } catch (error) {
    console.error(`Failed to update ${gitIgnoreFilePath}:`, error);
  }
}

export { setupGitIgnore };
//# sourceMappingURL=setup-gitignore.js.map
