'use strict';

var build = require('../cli/commands/build.cjs');
var dev = require('../cli/commands/dev.cjs');
var index = require('./index.cjs');

var esbuild = () => ({
  name: index.pluginName,
  setup(pluginBuild) {
    let registered = false;
    pluginBuild.onStart(async () => {
      if (!registered) {
        registered = true;
        await build.build();
        if (!pluginBuild.initialOptions.minify) {
          dev.dev();
        }
      }
    });
  }
});

module.exports = esbuild;
//# sourceMappingURL=esbuild.cjs.map
