import { build } from '../cli/commands/build.js';
import { dev } from '../cli/commands/dev.js';
import { pluginName } from './index.js';

var esbuild = () => ({
  name: pluginName,
  setup(pluginBuild) {
    let registered = false;
    pluginBuild.onStart(async () => {
      if (!registered) {
        registered = true;
        await build();
        if (!pluginBuild.initialOptions.minify) {
          dev();
        }
      }
    });
  }
});

export { esbuild as default };
//# sourceMappingURL=esbuild.js.map
