import { Reporter } from '@parcel/plugin';
import { build } from '../cli/commands/build.js';
import { dev } from '../cli/commands/dev.js';

var parcel = new Reporter({
  async report({ event, options }) {
    if (event.type === "buildStart" && options.env.NODE_ENV === "production") {
      await build();
    }
    if (event.type === "watchStart") {
      await build();
      await dev();
    }
  }
});

export { parcel as default };
//# sourceMappingURL=parcel.js.map
