'use strict';

const store = {
  dark: void 0,
  mode: void 0,
  prefix: void 0
};
function setStore(data) {
  if ("dark" in data) {
    store.dark = data.dark;
  }
  if ("mode" in data) {
    if (["light", "dark", "auto"].includes(data.mode)) {
      store.mode = data.mode;
    } else {
      console.warn(`Invalid mode value: ${data.mode}.
Available values: light, dark, auto`);
    }
  }
  if ("prefix" in data) {
    store.prefix = data.prefix;
  }
}
function getDark() {
  return store.dark;
}
function getMode() {
  return store.mode;
}
function getPrefix() {
  return store.prefix;
}

exports.getDark = getDark;
exports.getMode = getMode;
exports.getPrefix = getPrefix;
exports.setStore = setStore;
//# sourceMappingURL=index.cjs.map
